<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title> 
	<?php wp_head(); ?>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,300,200' rel='stylesheet' type='text/css' />
	<link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css' />			
	<!--[if lt IE 9]>
	<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
	<![endif]-->              		
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" title="no title" charset="utf-8"/>
	<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/mobile.css" type="text/css" media="screen" title="no title" charset="utf-8"/>
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>	
	<script src="<?php bloginfo('stylesheet_directory'); ?>/js/scripts.js"></script>
	
	<?php $shortname = "ecommerce"; ?>
	
	<style type="text/css">
	body {
	<?php if(get_option($shortname.'_background_image_url','') != "") { ?>
		background: url('<?php echo get_option($shortname.'_background_image_url',''); ?>') no-repeat center center fixed; -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;
	<?php } ?>		
	<?php if(get_option($shortname.'_custom_background_color','') != "") { ?>
		background-color: <?php echo get_option($shortname.'_custom_background_color',''); ?>;
	<?php } ?>	
	}
	</style>	
	
</head>
<body <?php body_class($class); ?>>
<header id="header_full">
	<div class="container">
		<div class="header_menu">
		<!--
			<ul>
				<li><a href="#">HOME</a></li>
				<li><a href="#">SHOP</a></li>
				<li><a href="#">CATEGORY</a></li>
				<li><a href="#">BLOG</a></li>
				<li><a href="#">ABOUT</a></li>
				<li><a href="#">CONTACT</a></li>
			</ul>-->
			<?php wp_nav_menu('theme_location=header-menu&container=false&menu_id='); ?>
			<div class="clear"></div>
		</div><!--//header_menu-->
		
		<div class="header_right">
			<div class="header_search_and_menu">
				<div class="left"><!--1-800-222-4545&nbsp;&nbsp;|&nbsp;&nbsp;Account&nbsp;&nbsp;|&nbsp;&nbsp;Cart --><?php echo get_option($shortname.'_header_text',''); ?></div>
				<div class="right">
					<form role="search" method="get" id="searchform" action="<?php echo home_url( '/' ); ?>">
					<input type="text" placeholder="SEARCH" name="s" id="s" />
					<INPUT TYPE="image" SRC="<?php bloginfo('stylesheet_directory'); ?>/images/search_icon.jpg" BORDER="0" class="search_form_submit" ALT="Submit Form">
					</form>
				</div>
				<div class="clear"></div>
			</div><!--//header_search_and_menu-->
			<div class="header_social">
				<?php if(get_option($shortname.'_twitter_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_twitter_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/twitter-icon.jpg" alt="twitter" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_facebook_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_facebook_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/facebook-icon.jpg" alt="facebook" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_google_plus_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_google_plus_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/gplus-icon.jpg" alt="google plus" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_instagram_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_instagram_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/instagram-icon.jpg" alt="instagram" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_pinterest_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_pinterest_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/pinterest-icon.jpg" alt="pinterest" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_vimeo_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_vimeo_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/vimeo-icon.jpg" alt="vimeo" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_tumblr_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_tumblr_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/tumblr-icon.jpg" alt="tumbler" /></a>
				<?php } ?>
				<?php if(get_option($shortname.'_flickr_link','') != '') { ?>
					<a href="<?php echo get_option($shortname.'_flickr_link',''); ?>" target="_blank"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/flickr-icon.jpg" alt="flickr" /></a>
				<?php } ?>
				<div class="clear"></div>
			</div><!--//header_social-->
			<div class="clear"></div>
		</div><!--//header_right-->
		
		<div class="clear"></div>
	</div><!--//container-->
</header><!--//header_full-->
<div id="main_container" class="container">
	<div class="logo_cont">
		<?php if(get_option($shortname.'_custom_logo_url','') != "") { ?>
			<a href="<?php bloginfo('url'); ?>"><img src="<?php echo get_option($shortname.'_custom_logo_url',''); ?>" alt="logo" /></a>
		<?php } else { ?>
			<a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.jpg" alt="logo" /></a>
		<?php } ?>	
	</div><!--//logo_cont-->